mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The interface is exposed on all properties that are interested in participating in activation and that might have not provided a message sink. Client properties send information in the construction message that their counterparts at the remote site could look for during activation.

is also used to collect information from the client and server context property and to deliver information from the server context properties to the client context properties when returning to the client .

Indicates that the implementing property is interested in participating in activation and might not have provided a message sink.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The context property can examine and manipulate the contents of the .

  Called on each client context property that has this interface, before the construction request leaves the client.

  An .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The context property can examine and manipulate the contents of the .

  Called on each server context property that has this interface, before the construction response leaves the server for the client.

  An .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current method is called on each server context property that implements the interface when a construction request arrives at a server. This allows the context property to examine the contents of each .

  Called on each client context property that has this interface, when the construction request returns to the client from the server.

  true if successful; otherwise, false.

  An .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The context property can examine the contents of the .

  Called on each client context property that has this interface, when the construction request returns to the client from the server.

  true if successful; otherwise, false.

  An .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates whether it is all right to activate the object type indicated in the parameter.

  A Boolean value indicating whether the requested type can be activated.

  An .